core.node.storage / Checkpoint

# Checkpoint

`data class Checkpoint`

### Constructors

<init> | `Checkpoint(serialisedFiber: SerializedBytes<ProtocolStateMachine<*>>, awaitingTopic: String, awaitingObjectOfType: String)`

### Properties

awaitingObjectOfType | `val awaitingObjectOfType: String`
awaitingTopic | `val awaitingTopic: String`
serialisedFiber | `val serialisedFiber: SerializedBytes<ProtocolStateMachine<*>>`

### Functions

toString | `fun toString(): String`